Debian Bug report logs - #720497
profphd: FTBFS with perl 5.18: POD failure

version graph

Package: src:profphd; Maintainer for src:profphd is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Thu, 22 Aug 2013 16:15:07 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version profphd/1.0.39-1

Fixed in version profphd/1.0.40-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#720497; Package src:profphd. (Thu, 22 Aug 2013 16:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 22 Aug 2013 16:15:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: profphd: FTBFS with perl 5.18: POD failure
Date: Thu, 22 Aug 2013 17:12:45 +0100
Source: profphd
Version: 1.0.39-1
Severity: serious
Justification: transition imminent
User: debian-perl@lists.debian.org
Usertags: perl-5.18-transition
Tags: sid jessie

This package FTBFS with perl 5.18:

make[2]: Entering directory `/build/dom-profphd_1.0.39-1-i386-9pRZV8/profphd-1.0
.39/src/prof'
sed -e 's|__pkgdatadir__|/usr/share/profphd|g;s|__sysconfdir__||g;s|__bindir__|/
usr/bin|g;s|__VERSION__|1.0.39|g;s|__PREFIX__|/usr|g;' "prof" | \
        pod2man -c 'User Commands' -r "1.0.39" -name PROF > "prof.1"
IO::File=IO(0x8486240) around line 241: Expected text after =item, not a number
POD document had syntax errors at /usr/bin/pod2man line 71.
make[2]: *** [prof.1] Error 255
make[2]: Leaving directory `/build/dom-profphd_1.0.39-1-i386-9pRZV8/profphd-1.0.
39/src/prof'
make[1]: *** [prof] Error 2
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2


Please ask debian-perl@lists.debian.org if you need help with preparing
or testing a change; if you have a suitable test i386 system you can
install perl 5.18 by adding experimental to your sources as well as the
repository at <http://people.debian.org/~dom/perl/test/perl-5.18.0/>

You can also find more about the perl 5.18 transition, which we hope
to start this week[1], at <http://bugs.debian.org/712615>.

Thanks for your work!

Cheers,
Dominic.

[1] apologies for the late appearance of this bug report; earlier
test coverage did not cover this package



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#720497; Package src:profphd. (Fri, 23 Aug 2013 14:12:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 23 Aug 2013 14:12:18 GMT) Full text and rfc822 format available.

Message #10 received at 720497@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 720497@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#720497: profphd: FTBFS with perl 5.18: POD failure
Date: Fri, 23 Aug 2013 16:11:04 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 + patch

On Thu, 22 Aug 2013 17:12:45 +0100, Dominic Hargreaves wrote:

> Source: profphd
> Version: 1.0.39-1
> Severity: serious
> Justification: transition imminent
> User: debian-perl@lists.debian.org
> Usertags: perl-5.18-transition
> Tags: sid jessie
> 
> This package FTBFS with perl 5.18:
> 
> make[2]: Entering directory `/build/dom-profphd_1.0.39-1-i386-9pRZV8/profphd-1.0
> .39/src/prof'
> sed -e 's|__pkgdatadir__|/usr/share/profphd|g;s|__sysconfdir__||g;s|__bindir__|/
> usr/bin|g;s|__VERSION__|1.0.39|g;s|__PREFIX__|/usr|g;' "prof" | \
>         pod2man -c 'User Commands' -r "1.0.39" -name PROF > "prof.1"
> IO::File=IO(0x8486240) around line 241: Expected text after =item, not a number
> POD document had syntax errors at /usr/bin/pod2man line 71.
> make[2]: *** [prof.1] Error 255
> make[2]: Leaving directory `/build/dom-profphd_1.0.39-1-i386-9pRZV8/profphd-1.0.
> 39/src/prof'
> make[1]: *** [prof] Error 2
> make: *** [debian/stamp-makefile-build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2

debdiff attached.

(Note: no svn diff because (a) the svn repo contains a newer upstream
release [1.0.40-1] and (b) is missing the latest tag [1.0.39-1].)

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: The Mamas & The Papas: Twelve-Thirty
[720497.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to 720497-submit@bugs.debian.org. (Fri, 23 Aug 2013 14:12:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#720497; Package src:profphd. (Mon, 26 Aug 2013 08:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 26 Aug 2013 08:09:09 GMT) Full text and rfc822 format available.

Message #17 received at 720497@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 720497@bugs.debian.org, Laszlo Kajan <lkajan@rostlab.org>
Subject: Re: Bug#720497: profphd: FTBFS with perl 5.18: POD failure
Date: Mon, 26 Aug 2013 10:04:52 +0200
Hi Laszlo,

please drop me a note in case you might be on vac or some other things
might prevent you from dealing with this.

Kind regards

        Andreas.

On Fri, Aug 23, 2013 at 04:11:04PM +0200, gregor herrmann wrote:
> Control: tag -1 + patch
> 
> On Thu, 22 Aug 2013 17:12:45 +0100, Dominic Hargreaves wrote:
> 
> > Source: profphd
> > Version: 1.0.39-1
> > Severity: serious
> > Justification: transition imminent
> > User: debian-perl@lists.debian.org
> > Usertags: perl-5.18-transition
> > Tags: sid jessie
> > 
> > This package FTBFS with perl 5.18:
> > 
> > make[2]: Entering directory `/build/dom-profphd_1.0.39-1-i386-9pRZV8/profphd-1.0
> > .39/src/prof'
> > sed -e 's|__pkgdatadir__|/usr/share/profphd|g;s|__sysconfdir__||g;s|__bindir__|/
> > usr/bin|g;s|__VERSION__|1.0.39|g;s|__PREFIX__|/usr|g;' "prof" | \
> >         pod2man -c 'User Commands' -r "1.0.39" -name PROF > "prof.1"
> > IO::File=IO(0x8486240) around line 241: Expected text after =item, not a number
> > POD document had syntax errors at /usr/bin/pod2man line 71.
> > make[2]: *** [prof.1] Error 255
> > make[2]: Leaving directory `/build/dom-profphd_1.0.39-1-i386-9pRZV8/profphd-1.0.
> > 39/src/prof'
> > make[1]: *** [prof] Error 2
> > make: *** [debian/stamp-makefile-build] Error 2
> > dpkg-buildpackage: error: debian/rules build gave error exit status 2
> 
> debdiff attached.
> 
> (Note: no svn diff because (a) the svn repo contains a newer upstream
> release [1.0.40-1] and (b) is missing the latest tag [1.0.39-1].)
> 
> Cheers,
> gregor
> 
> -- 
>  .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
>  : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
>  `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
>    `-   NP: The Mamas & The Papas: Twelve-Thirty

> diff -Nru profphd-1.0.39/debian/changelog profphd-1.0.39/debian/changelog
> --- profphd-1.0.39/debian/changelog	2012-08-14 19:55:07.000000000 +0200
> +++ profphd-1.0.39/debian/changelog	2013-08-23 16:08:21.000000000 +0200
> @@ -1,3 +1,12 @@
> +profphd (1.0.39-1.1) UNRELEASED; urgency=low
> +
> +  * Non-maintainer upload.
> +  * Fix "FTBFS with perl 5.18: POD failure":
> +    add patch to fix POD
> +    (Closes: #720497)
> +
> + -- gregor herrmann <gregoa@debian.org>  Fri, 23 Aug 2013 16:01:44 +0200
> +
>  profphd (1.0.39-1) unstable; urgency=low
>  
>    [ Andreas Tille ]
> diff -Nru profphd-1.0.39/debian/patches/fix-pod.patch profphd-1.0.39/debian/patches/fix-pod.patch
> --- profphd-1.0.39/debian/patches/fix-pod.patch	1970-01-01 01:00:00.000000000 +0100
> +++ profphd-1.0.39/debian/patches/fix-pod.patch	2013-08-23 16:08:09.000000000 +0200
> @@ -0,0 +1,18 @@
> +Description: perl 5.18 doesn't allow numbers after =item, so mask it
> +Origin: vendor
> +Bug-Debian: http://bugs.debian.org/720497
> +Forwarded: no
> +Author: gregor herrmann <gregoa@debian.org>
> +Last-Update: 2013-08-23
> +
> +--- a/src/prof/prof
> ++++ b/src/prof/prof
> +@@ -238,7 +238,7 @@
> + 
> + alternative connectivity patterns (default=3)
> + 
> +-=item 3
> ++=item Z<>3
> + 
> + predict sec + acc + htm
> + 
> diff -Nru profphd-1.0.39/debian/patches/series profphd-1.0.39/debian/patches/series
> --- profphd-1.0.39/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
> +++ profphd-1.0.39/debian/patches/series	2013-08-23 16:03:52.000000000 +0200
> @@ -0,0 +1 @@
> +fix-pod.patch




> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging


-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#720497; Package src:profphd. (Thu, 29 Aug 2013 07:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 29 Aug 2013 07:18:07 GMT) Full text and rfc822 format available.

Message #22 received at 720497@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 720497@bugs.debian.org
Cc: Laszlo Kajan <lkajan@rostlab.org>
Subject: Re: Bug#720497: profphd: FTBFS with perl 5.18: POD failure
Date: Thu, 29 Aug 2013 09:12:55 +0200
Hi Laszlo,

the (simple) patch from Gregor applied also to the latest upstream
version you did prepared in SVN.  Since you did not responded to my ping
three days ago I hope the correct action was to upload the last upstream
version you just prepared in SVN.

Kind regards

        Andreas.

On Fri, Aug 23, 2013 at 04:11:04PM +0200, gregor herrmann wrote:
> Control: tag -1 + patch
> 
> On Thu, 22 Aug 2013 17:12:45 +0100, Dominic Hargreaves wrote:
> 
> > Source: profphd
> > Version: 1.0.39-1
> > Severity: serious
> > Justification: transition imminent
> > User: debian-perl@lists.debian.org
> > Usertags: perl-5.18-transition
> > Tags: sid jessie
> > 
> > This package FTBFS with perl 5.18:
> > 
> > make[2]: Entering directory `/build/dom-profphd_1.0.39-1-i386-9pRZV8/profphd-1.0
> > .39/src/prof'
> > sed -e 's|__pkgdatadir__|/usr/share/profphd|g;s|__sysconfdir__||g;s|__bindir__|/
> > usr/bin|g;s|__VERSION__|1.0.39|g;s|__PREFIX__|/usr|g;' "prof" | \
> >         pod2man -c 'User Commands' -r "1.0.39" -name PROF > "prof.1"
> > IO::File=IO(0x8486240) around line 241: Expected text after =item, not a number
> > POD document had syntax errors at /usr/bin/pod2man line 71.
> > make[2]: *** [prof.1] Error 255
> > make[2]: Leaving directory `/build/dom-profphd_1.0.39-1-i386-9pRZV8/profphd-1.0.
> > 39/src/prof'
> > make[1]: *** [prof] Error 2
> > make: *** [debian/stamp-makefile-build] Error 2
> > dpkg-buildpackage: error: debian/rules build gave error exit status 2
> 
> debdiff attached.
> 
> (Note: no svn diff because (a) the svn repo contains a newer upstream
> release [1.0.40-1] and (b) is missing the latest tag [1.0.39-1].)
> 
> Cheers,
> gregor
> 
> -- 
>  .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
>  : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
>  `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
>    `-   NP: The Mamas & The Papas: Twelve-Thirty

> diff -Nru profphd-1.0.39/debian/changelog profphd-1.0.39/debian/changelog
> --- profphd-1.0.39/debian/changelog	2012-08-14 19:55:07.000000000 +0200
> +++ profphd-1.0.39/debian/changelog	2013-08-23 16:08:21.000000000 +0200
> @@ -1,3 +1,12 @@
> +profphd (1.0.39-1.1) UNRELEASED; urgency=low
> +
> +  * Non-maintainer upload.
> +  * Fix "FTBFS with perl 5.18: POD failure":
> +    add patch to fix POD
> +    (Closes: #720497)
> +
> + -- gregor herrmann <gregoa@debian.org>  Fri, 23 Aug 2013 16:01:44 +0200
> +
>  profphd (1.0.39-1) unstable; urgency=low
>  
>    [ Andreas Tille ]
> diff -Nru profphd-1.0.39/debian/patches/fix-pod.patch profphd-1.0.39/debian/patches/fix-pod.patch
> --- profphd-1.0.39/debian/patches/fix-pod.patch	1970-01-01 01:00:00.000000000 +0100
> +++ profphd-1.0.39/debian/patches/fix-pod.patch	2013-08-23 16:08:09.000000000 +0200
> @@ -0,0 +1,18 @@
> +Description: perl 5.18 doesn't allow numbers after =item, so mask it
> +Origin: vendor
> +Bug-Debian: http://bugs.debian.org/720497
> +Forwarded: no
> +Author: gregor herrmann <gregoa@debian.org>
> +Last-Update: 2013-08-23
> +
> +--- a/src/prof/prof
> ++++ b/src/prof/prof
> +@@ -238,7 +238,7 @@
> + 
> + alternative connectivity patterns (default=3)
> + 
> +-=item 3
> ++=item Z<>3
> + 
> + predict sec + acc + htm
> + 
> diff -Nru profphd-1.0.39/debian/patches/series profphd-1.0.39/debian/patches/series
> --- profphd-1.0.39/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
> +++ profphd-1.0.39/debian/patches/series	2013-08-23 16:03:52.000000000 +0200
> @@ -0,0 +1 @@
> +fix-pod.patch




> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging


-- 
http://fam-tille.de



Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Thu, 29 Aug 2013 07:21:13 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Thu, 29 Aug 2013 07:21:13 GMT) Full text and rfc822 format available.

Message #27 received at 720497-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 720497-close@bugs.debian.org
Subject: Bug#720497: fixed in profphd 1.0.40-1
Date: Thu, 29 Aug 2013 07:18:21 +0000
Source: profphd
Source-Version: 1.0.40-1

We believe that the bug you reported is fixed in the latest version of
profphd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720497@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated profphd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Aug 2013 08:52:49 +0200
Source: profphd
Binary: profphd
Architecture: source all
Version: 1.0.40-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 profphd    - secondary structure and solvent accessibility predictor
Closes: 720497
Changes: 
 profphd (1.0.40-1) unstable; urgency=low
 .
   [ Laszlo Kajan ]
   * New upstream release.
 .
   [ Gregor Herrmann ]
   * Fix "FTBFS with perl 5.18: POD failure":
     add patch to fix POD
     (Closes: #720497)
 .
   [ Andreas Tille ]
   * cme fix dpkg-control
   * anonscm in Vcs fields
Checksums-Sha1: 
 d7b182365f6b09b47083a1e9fd4a20e75e9abeff 1378 profphd_1.0.40-1.dsc
 87f03c5d20e5c2ddedb53febb75bb321a997855d 4491592 profphd_1.0.40.orig.tar.xz
 450ef37c40b347aa6df30ea5d5f585c23474184c 5908 profphd_1.0.40-1.debian.tar.gz
 ad69245a9698686a8db1a8218e1f534434e3668c 4538014 profphd_1.0.40-1_all.deb
Checksums-Sha256: 
 02789e2f9bd8fdb300289b2428b6e53c78f828e4ed5faccafff3b00d6c53662f 1378 profphd_1.0.40-1.dsc
 50c85da552993758df191e3e06910fb221a156a8eaba94badf5a716b04648c5c 4491592 profphd_1.0.40.orig.tar.xz
 f1f0e24d06bad42563fa0388e71e5323fdd5dae6197bdc52e0215a3b8805050d 5908 profphd_1.0.40-1.debian.tar.gz
 1ffc5448c397424f2e94749b6c2cc506a8cfb165e28b65d91a07cffb34d3438b 4538014 profphd_1.0.40-1_all.deb
Files: 
 0f813be2f5014dc8f6f9746b3ca4dd7f 1378 science extra profphd_1.0.40-1.dsc
 09c3ff32392dd8eee02ab5f39ac11feb 4491592 science extra profphd_1.0.40.orig.tar.xz
 5ea312d7671ecc46fa03a8deca2fa7dd 5908 science extra profphd_1.0.40-1.debian.tar.gz
 6769c71520f322432a185c1ff9cd4907 4538014 science extra profphd_1.0.40-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlIe9HMACgkQYDBbMcCf01rp6wCgsea83rGdi9QwmCzJjonZ7N9q
/YMAoIZv4a9B8uWpIsLnLEcYFCSSgGws
=VSc1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Oct 2013 07:39:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:08:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.